|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerExtraInfoExtension Class Reference

The QDesignerExtraInfoExtension class provides extra information about a widget in Qt Designer. More...

    #include <QDesignerExtraInfoExtension>

Part of the QtDesigner module.

- List of all members, including inherited members

### Public Functions

- virtual ~QDesignerExtraInfoExtension ()
- virtual QDesignerFormEditorInterface * core () const = 0
- virtual bool loadUiExtraInfo ( DomUi * ui ) = 0
- virtual bool loadWidgetExtraInfo ( DomWidget * widget ) = 0
- virtual bool saveUiExtraInfo ( DomUi * ui ) = 0
- virtual bool saveWidgetExtraInfo ( DomWidget * widget ) = 0
- void setWorkingDirectory ( const QString & workingDirectory )
- virtual QWidget * widget () const = 0
- QString workingDirectory () const

## Detailed Description

The QDesignerExtraInfoExtension class provides extra information about a widget in Qt Designer.

## Member Function Documentation

### QDesignerExtraInfoExtension::~QDesignerExtraInfoExtension () `[virtual]`

Destroys the extension.

### QDesignerFormEditorInterface * QDesignerExtraInfoExtension::core () const `[pure virtual]`

### bool QDesignerExtraInfoExtension::loadUiExtraInfo ( DomUi * ui ) `[pure virtual]`

Loads extra information about the user interface specified by ui, and returns true if successful; otherwise returns false.

### bool QDesignerExtraInfoExtension::loadWidgetExtraInfo ( DomWidget * widget ) `[pure virtual]`

Loads extra information about the specified widget, and returns true if successful; otherwise returns false.

### bool QDesignerExtraInfoExtension::saveUiExtraInfo ( DomUi * ui ) `[pure virtual]`

Saves the information about the user interface specified by ui, and returns true if successful; otherwise returns false.

### bool QDesignerExtraInfoExtension::saveWidgetExtraInfo ( DomWidget * widget ) `[pure virtual]`

Saves the information about the specified widget, and returns true if successful; otherwise returns false.

### void QDesignerExtraInfoExtension::setWorkingDirectory ( const QString & workingDirectory )

Sets the path to the working directory used by the extension to workingDirectory.

### QWidget * QDesignerExtraInfoExtension::widget () const `[pure virtual]`

Returns the widget described by this extension.

### QString QDesignerExtraInfoExtension::workingDirectory () const

Returns the path to the working directory used by this extension.